:root {
    --main-bg-color-light: #1F78B4;
    --header-color-light: #DFDADA;
    --footer-color-light: #DFDADA;
    --content-bg-color-light: #DFDADA;
    --content-shadow-color-light: rgb(31, 71, 180);
}

* {
    box-sizing: border-box;
}

body {
    background-color: var(--main-bg-color-light);
    margin: 0;
}

.header-main {
    height: 2.5rem;
}

.header-main.header-main-light {
    background-color: var(--header-color-light);
}

.brand {
    position: absolute;
    left: 2rem;
    width: 5rem;
    height: 2rem;
    margin-top: 0.25rem;
    background-color: whitesmoke;
    border-radius: 0.25rem;
}

.logos-rls {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
    align-items: center;
    position: relative;
    float: right;
    right: 2rem;
    width: 15.5rem;
    height: 2rem;
    margin-top: 0.25rem;
    background-color: whitesmoke;
    border-radius: 0.25rem;
}

.logo-partner-rls {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    background-color: tomato;
    text-align: center;
    vertical-align: middle;
}

.footer-main {
    width: 100%;
    height: 1.25rem;
    position: fixed;
    bottom: 0rem;
}

.footer-main-light {
    background-color: var(--footer-color-light);
}

.container-flex {
    height: auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    align-items: flex-start;
    background-color: var(--main-bg-color-light);
}

.container-flex>div {
    width: 20%;
    margin: 2em 2em;
    background-color: var(--content-bg-color-light);
    border-radius: 0.75rem;
    box-shadow: 0.25rem 0.25rem var(--content-shadow-color-light);
}

.container-flex>div#login {
    overflow-y: scroll;
    scrollbar-width: none;
}

.container-flex>div#tablet {
    flex-grow: 1.5;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    scrollbar-width: none;
}

.container-flex>div#tablet>div {
    background-color: #707070;
    /**giving extra space on the left and right side**/
    width: calc(100% - 2*2rem);
    margin: 1rem;
    border-radius: inherit;
}

#tablet_screen {
    height: 80%;
}

#tablet_screen figure {
    margin: 0;
    border-radius: inherit;
}

#tablet_screen figure img {
    width: 100%;
    height: 100%;
    border-radius: inherit;
}

.container-flex>div#tablet>div#tablet_controls {
    height: 2.5rem;
    flex-grow: 1;
    min-height: 2rem;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
}

.tablet-control {
    width: 2rem;
    height: 2rem;
    margin: 0.5rem;
    background-color: whitesmoke;
    border-radius: 50%;
}

#timgsn_fx_details {
    overflow-y: scroll;
    scrollbar-width: none;
}

#timgsn_fx_details::-webkit-scrollbar {
    display: none;
}

.description {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.description section {
    margin: 1rem 2rem 1rem 2rem;
}

#login form,
a {
    margin: 1rem 2rem 1rem 2rem;
}

form * {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    margin-top: 0.5rem;
}

.button {
    height: 2rem;
    min-height: 2rem;
    width: 4rem;
    font-size: inherit;
}

form input {
    border-radius: 0.25rem;
}

#a_forgot_pass {
    text-decoration: none;
    color: var(--content-shadow-color-light);
}

main {
    height: 100%;
}

@media only screen and (max-width: 1000px) {
    body {
        width: inherit;
        margin: 0;
    }
    .container-flex {
        flex-flow: column nowrap;
        overflow: scroll;
        scrollbar-width: none;
        align-items: center;
    }
    .container-flex>div {
        width: 80%;
        height: auto;
        flex-flow: column nowrap;
        overflow: scroll;
    }
    .container-flex>div#login {
        order: 1;
        min-height: 300px;
    }
    .container-flex>div#tablet {
        order: 3;
        flex-grow: 1;
    }
    .container-flex>div#timgsn_fx_details {
        order: 2;
    }
}